#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

export ROOT="${ROOT:-}"
export AGENTSMITHDIR="${AGENTSMITHDIR:-/usr/share/agent-smith}"
export TEMP="${TEMP:-$ROOT/tmp}"

. "${AGENTSMITHDIR}/common.sh"

IFS=','
read injected_file_path_and_contents
set -- $injected_file_path_and_contents 
path=$1
contents=$2

if [ -e ${ROOT}/$path ]; then
    make_backup ${ROOT}/$path
fi

cat > ${ROOT}/${path} << CONTENTS
$contents
CONTENTS
