#!/bin/sh
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

# TODO: Do some stuff to derive the URL from the input
URL=http://example.com/new-agent-smith.tar

# Some distros somehow don't have "which".

if [ -x /usr/bin/wget ]
then
    CMD="wget -O "
elif [ -x /usr/bin/curl ]
then
    CMD="curl -o "
else
    # Oh, dear..
    exit 1
fi

$CMD /var/run/agent-smith.tar $URL

/etc/init.d/agent-smith restart
