#!/bin/bash
#
#  Copyright 2010 Rackspace US, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

function decrypt() { 
  shared_key_file=${TEMP}/dh_shared_key
  encrypted_string=$1
  shared_key=`cat $shared_key_file`

  echo "$encrypted_string" | openssl enc -d -a -aes-128-cbc -pass pass:${shared_key} -nosalt
}

function reset_password() {
  read encrypted_password
  password=`decrypt $encrypted_password`

  echo "root:$password" | chpasswd
}
