#!/bin/bash

export ROOT="${ROOT:-}"
export AGENTSMITHDIR="${AGENTSMITHDIR:-/usr/share/agent-smith}"
export TEMP="${TEMP:-$ROOT/tmp}"

. "${AGENTSMITHDIR}/common.sh"

FSTAB="/etc/fstab"

backupfile="$(make_backup $ROOT/$FSTAB)"

if [ ! -f "${backupfile}" ]; then
  exit 1
fi

sed -i.backup. 's/sda1/sdb1/g' "$ROOT/$FSTAB"
