#include <syslog.h>
#include <stdio.h>
#include <stdarg.h>

int log_to_stdout = 0;

void agent_log(int level, const char *fmt, ...) {
    va_list ap;
    va_start(ap, fmt);
    vsyslog(LOG_DAEMON | level, fmt, ap);
    va_end(ap);
    
    if (log_to_stdout) {
        va_start(ap, fmt);
    	vfprintf(stdout, fmt, ap);
        va_end(ap);
    	fprintf(stdout, "\n");
    }
}
