#include <syslog.h>

void agent_log(int level, const char *fmt, ...);

#define AGENT_LOG0(msg) agent_log(LOG_DAEMON | LOG_CRIT, "%s:%d: " "%s", __FILE__, __LINE__, msg)
#define AGENT_LOG(fmt, ...) agent_log(LOG_DAEMON | LOG_CRIT, "%s:%d: " fmt, __FILE__, __LINE__, __VA_ARGS__)
