/*
 *  Copyright 2010 Rackspace US, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

typedef struct strbuf {
	char *str;
	size_t len;
} strbuf;

strbuf *strbuf_init();
char *strbuf_free(strbuf *str, char free_it);
strbuf *strbuf_append_printf(strbuf *str, const char *fmt, ...);

char *util_join_paths(const char *part1, const char *part2);
